summaryrefslogtreecommitdiff
path: root/dev-python/protobuf-python/protobuf-python-5.27.1.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/protobuf-python/protobuf-python-5.27.1.ebuild')
-rw-r--r--dev-python/protobuf-python/protobuf-python-5.27.1.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/protobuf-python/protobuf-python-5.27.1.ebuild b/dev-python/protobuf-python/protobuf-python-5.27.1.ebuild
new file mode 100644
index 000000000000..b17e7d263f27
--- /dev/null
+++ b/dev-python/protobuf-python/protobuf-python-5.27.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2023-2024 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 flag-o-matic
+
+PARENT_PN="${PN/-python/}"
+PARENT_P="${PARENT_PN}-${PV}"
+
+SRC_URI="https://files.pythonhosted.org/packages/20/5f/00d891817d4031bbf4e846a99834bf949a76714c10a726833aa184176772/protobuf-5.27.1.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="
+ https://developers.google.com/protocol-buffers/
+ https://pypi.org/project/protobuf/
+"
+
+LICENSE="BSD"
+SLOT="0/27.1.0"
+
+S="${WORKDIR}/${PARENT_P}"
+
+BDEPEND="
+"
+DEPEND="
+ ${PYTHON_DEPS}
+"
+RDEPEND="
+ ${BDEPEND}
+ dev-libs/protobuf:${SLOT}
+"
+
+distutils_enable_tests setup.py
+
+
+python_prepare_all() {
+ eapply_user
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ append-cxxflags -std=c++17
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}/install" -name "*.pth" -type f -delete || die
+}